---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id:
      - 677f1bd6-e11f-5d8e-acc6-3d5752adecee
      tier: AATSR_CMP_MONTH
      value: 0.09773664176464081
    brdf:
      alpha_1:
        band_1: 0.3673072251763836
        band_11: 0.20949369158867664
        band_12: 0.03392252891100185
        band_2: 0.3673546646101688
        band_3: 0.6151066440296229
        band_4: 0.27084501719185794
        band_5: 0.27084501719185794
        band_6: 0.2708337157624568
        band_7: 0.5163551255364861
        band_8: 0.5164384597630324
        band_8a: 0.5163516903797907
      alpha_2:
        band_1: 0.13033295246456128
        band_11: 0.14112999855704342
        band_12: 0.1790227054795301
        band_2: 0.13033724956037673
        band_3: 0.10632061031863124
        band_4: 0.1485368012794599
        band_5: 0.1485368012794599
        band_6: 0.14853693214804262
        band_7: 0.0799552049059484
        band_8: 0.07995191457860884
        band_8a: 0.07995649093510153
      id:
      - af6ca096-fd3a-5357-a437-715bfc02acbf
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - 6893a108-f757-5d01-b233-fe0196d7e88b
      tier: DEFINITIVE
      value: 0.29
    water_vapour:
      id:
      - 5fa400e4-ea87-5559-88bf-67237b8eb003
      tier: DEFINITIVE
      value: 0.8
  id: baca9c88-1696-416e-814e-25342bf079c8
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 1954.191286404328
      BAND-11: 237.90347586615303
      BAND-12: 81.36720006540068
      BAND-2: 1997.4802274565372
      BAND-3: 1870.3509221853267
      BAND-4: 1527.1414724864626
      BAND-5: 1409.7481508999722
      BAND-6: 1286.3993720472322
      BAND-7: 1177.6258104688845
      BAND-8: 1042.9880781043819
      BAND-8A: 951.1230429450653
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2021-10-07 02:04:08.318440Z
    atime: 2022-07-17 00:00:28Z
    ctime: 2021-10-07 23:40:46Z
    mtime: 2021-10-07 23:40:42Z
    owner_id: '12232'
    platform_id: SENTINEL_2A
    sensor_id: MSI
    source_level1: /g/data/fj7/Copernicus/Sentinel-2/MSI/L1C/2021/2021-10/20S120E-25S125E/S2A_MSIL1C_20211007T015631_N0301_R117_T51KUQ_20211007T033808.zip
  system_information:
    hostname: gadi-cpu-clx-2482.gadi.nci.org.au
    runtime_id: 77fce7c4-0563-11ed-a55d-00000083fe80
    time_processed: 2022-07-17 00:00:29.121684Z
    uname: 'Linux gadi-cpu-clx-2482.gadi.nci.org.au 4.18.0-372.13.1.el8.nci.x86_64
      #1 SMP Mon Jul 4 08:46:44 AEST 2022 x86_64'
gqa:
  colors:
    blue: 61.0
    green: 991.0
    red: 11.0
    teal: 530.0
    yellow: 15.0
  error_message: no errors
  final_qa_count: 1599
  granule: S2A_OPER_MSI_L1C_TL_VGS1_20211007T033808_A032861_T51KUQ_N03.01
  ref_date: '2014-07-23T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata/GCP/GQA_v3/wrs2/110/076/LC81100762014204LGN00_B6.TIF
  residual:
    abs:
      x: 0.56
      xy: 0.71
      y: 0.43
    abs_iterative_mean:
      x: 0.32
      xy: 0.47
      y: 0.34
    cep90: 0.8
    iterative_mean:
      x: 0.13
      xy: 0.32
      y: -0.29
    iterative_stddev:
      x: 0.53
      xy: 0.6
      y: 0.28
    mean:
      x: 0.36
      xy: 0.52
      y: -0.37
    stddev:
      x: 8.97
      xy: 9.45
      y: 2.97
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 99.56170702259797
    cloud: 1.4259458548395676e-05
    cloud_shadow: 1.4259458548395676e-05
    snow: 0.43820266749789805
    water: 6.179098704304792e-05
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 100.0
    cloud: 0.0
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.8.3
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.2
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.1
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.27.3
...
